<?php

namespace App\controleur;
class MembreControleur extends UtilisateurControleur
{
    public function __construct()
    {
        global $twig;
        if (!isset($_REQUEST["action"])) {
            $action = NULL;
        } else {
            $action = \App\config\Validation::nettoyerString($_REQUEST["action"]);
        }
        switch ($action) {
            case "deconnexion":
                $this->deconnexion();
                break;
            case "proposerOffre":
                $this->proposerOffre();
                break;
            case "consulterProfil":
                $this->consulterProfil();
                break;
            case "modifierProfil":
                $this->modifierProfil();
                break;
            case "signaler":
                $this->signaler();
                break;
            case "ajouterExperience":
                $this->addExperience();
                break;
            case "supprimerExperience":
                $this->deleteExperience();
                break;
            case "listerExperience":
                $this->displayExperience();
                break;
            default:
                parent::__construct();
        }
    }

    protected function deconnexion()
    {
        session_destroy();
        header('Location: index.php?action=accueil');
        exit();
    }

    protected function proposerOffre()
    {
        //TODO
    }

    protected function consulterProfil()
    {
        //TODO
    }

    protected function modifierProfil()
    {
        //TODO
    }

    protected function signaler()
    {
        //TODO
    }

    public function displayExperience()
    {
        global $twig;

        if (isset($_GET["id"]) && intval($_GET["id"]) != null)
        {
            $experienceModel = new MembreModele();
            $exp = $experienceModel->getExperienceFromProfil(intval($_GET["id"]));
            if($exp != NULL)
            {
                echo $twig->render("detailExperience.html",['experience' => $exp]);
                return;
            }
        }
        $dVueErreur[] = "Erreur, Expérience(s) introuvable";
        echo $twig->render("erreur.html", ['dVueErreur' => $dVueErreur]);
    }

    protected function experienceForm()
    {
        global $twig;
        echo $twig->render("CreerExperience.html", []);
    }

    protected function addExperience()
    {
        global $twig;

        if (!Validation::validerExperience($_POST["intitule"], $_POST["dateDeb"], $_POST["dateFin"], $_POST["nomEntreprise"], $_POST["currentJob"])) {
            $modele = new MembreModele();
            $modele->addExperience($_POST["intitule"], $_POST["dateDeb"], $_POST["dateFin"], $_POST["nomEntreprise"], $_POST["currentJob"]);

            $this->listerExperience();
        } else {
                $dVueErreur[] ="Erreur lors de la création de l'évènement";
                echo $twig->render("erreur.html",['dVueErreur' => $dVueErreur]);
        } else {
            echo $twig->render('creerExperience.html', []);
        }
    }

    protected function deleteEvenement()
    {
        $mdl = new MembreModele();
        $mdl->deleteEvenement($_GET["id"]);

        $this->listerExperience();
    }
}


